2.0 -> 2.1 partially failed



  • Hi,

    just upgraded to:
    2.1-DEVELOPMENT (amd64)
    built on Mon Mar 19 18:28:49 CET 2012
    FreeBSD 8.3-RC2

    a few days ago from my old 2.0 stable. The problems I am seeing are with additional packages, like squid, squidproxy and snort. After the upgrade, these services are failing to start, and I do not see them in the Installed packages anymore either so I could remove them completely. How do I remove packages from the ssh command line to clean up the whole thing?

    Also, possible due to the issue with the packages above, the whole thing seems very unstable. When I do something in the web gui, the system might go to a complete lock down mode only to recover in about 10 minutes (its not rebooting though) and during this time no network traffic is routed and the system has hard time answering to ping replies even.

    Tell me where to find some logs that might be interesting



  • This is one frequent error I get in the web gui:

    Warning: Invalid argument supplied for foreach() in /usr/local/www/pkg_edit.php on line 418


  • Rebel Alliance Developer Netgate

    Packages on 2.1 still need quite a bit of work. There are already threads going on for squid issues, and I'm sure snort has some as well.

    I'd guess snort is to blame for the network issue, but anything is possible there. Nobody else on 2.1 has reported that kind of issue that I'm aware of (I'm a bit behind on the forum though so I may have missed it) but I haven't seen anyone trying to use snort either.


Log in to reply